TechDraw Vertikale Bemaßung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw VerticalDimension and the translation is 41% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw Dimension Vertical.svg TechDraw Vertikale Bemaßung

Menüeintrag
TechDraw → Bemaßungen → Vertikales Maß einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Shift + V
Eingeführt in Version
-
Siehe auch
TechDraw Längenbemaßung, TechDraw Horizontale Bemaßung

Beschreibung

Das Werkzeug »Vertikale Längenbemaßung« fügt ein vertikales Maß in einer Ansicht hinzu. Die Bemaßung kann zwischen zwei Ecken liegen, die Länge einer Kante oder der vertikale Abstand zwischen zwei Kanten sein. Der Abstand ist zuerst der projizierte Abstand (wie in der Zeichnung dargestellt), aber dieser kann unter Verwendung des TechDraw Dimension Link.svg Bemaßungen verlinken-Werkzeugs zum eigentlichen 3D-Abstand geändert werden.

TechDraw Dimension Vertical example.png

Längenbemaßung zweier beliebiger Knoten der Ansicht, der Abstand wird in vertikaler Richtung gemessen

Anwendung

  1. Punkte oder Kanten auswählen, die für die Abmessung benötigt werden.
  2. Drücke die TechDraw Dimension Vertical.svg Vertikal Bemaßung Schaltfläche
  3. Eine Bemaßung wird in die Ansicht eingefügt. Die Bemaßung kann an die gewünschte Position gezogen werden.
  4. Falls erforderlich, füge Toleranzen, wie in diese Seite beschrieben, hinzu.

Um die Eigenschaften eines Bemaßungsobjekts zu ändern, doppel-klicke sie entweder in der Zeichnung oder in der Baumansicht. Dadurch wird der Bemaßungsdialog geöffnet.

Begrenzungen

Bemaßungsobjekte sind anfällig für "topologische Benennungs" Probleme. Siehe die Information im TechDraw Längenbemaßungs Werkzeug.

Eigenschaften

Dieses Objekt hat die gleichen Eigenschaften wie das TechDraw Längenbemassung Werkzeug. Siehe das Werkzeug für Einzelheiten.

Skripten

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Das Werkzeug Vertikale Bemaßung kann in Makros und aus der Python Konsole mit den folgenden Funktionen verwendet werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)